Skip to main content
GET
Python (SDK)

Authorizations

Authorization
string
header
required

Query Parameters

filter[id]
string

The server ID to filter by (exact match)

filter[project]
string

The project ID or Slug to filter by

filter[region]
string

The region Slug to filter by

filter[hostname]
string

The hostname of server to filter by

filter[hostname][eql]
string

The exact (case-sensitive) hostname of server to filter by

filter[hostname][prefix]
string

Filter servers whose hostname starts with the provided value

filter[hostname][suffix]
string

Filter servers whose hostname ends with the provided value

filter[hostname][match]
string

Filter servers whose hostname contains the provided value

filter[created_at_gte]
string

The created at greater than equal date to filter by. created_at is the date the server was added to the project

filter[created_at_lte]
string

The created at less than equal date to filter by. created_at is the date the server was added to the project

filter[created_at]
string

The created at date range to filter by, as two comma-separated ISO 8601 datetimes (both bounds required), e.g. filter[created_at]=2026-01-01T00:00:00Z,2026-01-31T23:59:59Z. created_at is the date the server was added to the project

filter[label]
string

The label of server to filter by

filter[label][eql]
string

The exact (case-sensitive) label of server to filter by

filter[label][prefix]
string

Filter servers whose label starts with the provided value

filter[label][suffix]
string

Filter servers whose label ends with the provided value

filter[label][match]
string

Filter servers whose label contains the provided value

filter[status]
string

The status of server to filter by

filter[plan]
string

The platform/plan name of the server to filter by

filter[plan][eql]
string

The exact platform/plan name of the server to filter by (case-insensitive)

filter[plan][prefix]
string

Filter servers whose platform/plan name starts with the provided value

filter[plan][suffix]
string

Filter servers whose platform/plan name ends with the provided value

filter[plan][match]
string

Filter servers whose platform/plan name contains the provided value

filter[gpu]
boolean

Filter by the existence of an associated GPU

filter[ram][eql]
integer

Filter servers with RAM size (in GB) equals the provided value.

filter[ram][gte]
integer

Filter servers with RAM size (in GB) greater than or equal the provided value.

filter[ram][lte]
integer

Filter servers with RAM size (in GB) less than or equal the provided value.

filter[disk][eql]
integer

Filter servers with disk size (in GB) equal to the provided value.

filter[disk][gte]
integer

Filter servers with disk size (in GB) greater than or equal to the provided value.

filter[disk][lte]
integer

Filter servers with disk size (in GB) less than or equal to the provided value.

filter[tags]
string

The tags IDs to filter by, separated by comma, e.g. filter[tags]=tag_1,tag_2will return servers with tag_1 AND tag_2

filter[bgp_eligible]
boolean

Filter by whether the server can announce a BGP Elastic IP.

extra_fields[servers]
string

The credentials are provided as extra attributes that are lazy loaded. To request it, just set extra_fields[servers]=credentials in the query string.

sort
string

Comma-separated sort fields. Prefix a field with - for descending order. Supported: hostname, created_at, location, operating_system.

page[size]
integer
default:20

Number of items to return per page

Required range: x >= 1
page[number]
integer
default:1

Page number to return (starts at 1)

Required range: x >= 1
stats[total]
string

Request aggregate stats in the response meta. Use count to get the total number of records, returned as meta.stats.total.count.

Response

200 - application/vnd.api+json

Success

data
object[]
meta
object